
Quantification tool - Bug #508

Missing the expiration date for stock on order in the Selected medicines tab of the New forecasting

03/18/2013 07:01 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 03/18/2013

Priority: Immediate Due date: 04/03/2013

Assignee: Luis Gustavo do Valle Bastos % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Version 1.0 Spent time: 0.50 hour

Description

Include the expiration date with day, month and year.

History

#1 - 03/18/2013 07:04 PM - Luis Gustavo do Valle Bastos

It should be displayed as a column beside each receiving date but is not a mandatory data.

#2 - 03/21/2013 06:34 AM - Oleksii Kurasov

- Due date set to 03/21/2013

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

- % Done changed from 0 to 100

#3 - 03/25/2013 01:34 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

The expiration date is default displaying the first day of the month. But, this field should be blank as default, to allow user to let it blank given that isn't

a mandatory field.

When displaying the date user entered, it should be as mm/dd/yyy.

The expiration date cannot be before the receiving date (and neither the reference date). In this case, the system does not allow recording date and a

warning message should be displayed.

#4 - 04/01/2013 10:11 AM - Oleksii Kurasov

- Due date changed from 03/21/2013 to 04/01/2013

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#5 - 04/02/2013 12:53 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Tested and the logic is right. Just change the current messages, as follow:

Order received before reference date => Receiving date cannot be before the reference date.

Order expire date before receiving date => Expiration date cannot be before the receiving date.
Quantity must be => Quantity cannot be zero.

#6 - 04/03/2013 04:28 AM - Oleksii Kurasov

- Due date changed from 04/01/2013 to 04/03/2013

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#7 - 04/03/2013 12:27 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.
